import gtk
import os

from gtk import TRUE
from gtk import FALSE
from config import *
from rhpl.translate import _, N_
from SummaryModel import *

class CompsCheckDialog:
    def __init__ (self, failed_list, unremovable_list, parent = None):
        # get the glade file
        glade_file = "CompsCheckDialog.glade"
        if not os.path.isfile(glade_file):
            glade_file = GLADEDIR + glade_file
        xml = gtk.glade.XML (glade_file, domain=PROGNAME)

        self.dialog = xml.get_widget ('comps_check_dialog')
        if parent:
            self.dialog.set_transient_for (parent)
        self.tree_view = xml.get_widget ('details_tree_view')
        setup_summary_tree (self.tree_view)
        model = SummaryModel ()
        model.set_packages (failed_list, unremovable_list, _("Package"), _("System Packages"))
        self.tree_view.set_model (model)

    def run(self):
        self.dialog.run ()
        self.dialog.destroy ()

